Subject: Re: git whatchanged

From: Junio C Hamano <[email-masked]>
Date: Wed, 20 Aug 2025 14:10:11 -0700

"Kristoffer Haugsbakk" <[email-masked]> writes:

> The message itself reads like it could be read like: tell us and we
> might put the brakes on removing it (and that’s it).

Yeah, that is a wrong interpretation we did not want to trigger.

"If you are a developer of a script that uses whatchanged, then
rewrite it with 'log --raw --no-merges' and be happy.  If the script
is very widely used, dropping us a note would be nice, as we can
redirect end-user inquiries of your script towards you.  If you are
an end-user of such a script, bug your supplier of such a script.
Thanks."

perhaps?